Summary: Perl 5 module to print arrays of data
Name: perl-Data-ShowTable
Version: 3.3
Release: 1mdk
Copyright: GPL
Group: Development/Libraries/Perl
Source: ftp://ftp.perl.com/CPAN/modules/by-module/Data/Data-ShowTable-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root

%description
ShowTable.pm, version 3.3, is a Perl 5 module which defines subroutines
to print arrays of data in a nicely formatted listing, using one of
four possible formats: simple table, boxed table, list style, and
HTML-formatting (for World-Wide-Web output).  See the documentation on
ShowTable.pm for details on the formatting.

%prep
%setup -n Data-ShowTable-%{version}
%build
perl Makefile.PL
make

%install
make install PREFIX=$RPM_BUILD_ROOT/usr

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/showtable
/usr/lib/perl5/man/man3/Data::ShowTable.3.bz2
/usr/lib/perl5/site_perl/5.005/Data/ShowTable.pm
%dir /usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Data/ShowTable
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Data/ShowTable/.packlist
/usr/man/man1/showtable.1.bz2


%changelog
* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- First spec file

